summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug <ultrabug@gentoo.org>2017-02-07 12:59:30 +0100
committerUltrabug <ultrabug@gentoo.org>2017-02-07 12:59:30 +0100
commit3dc2724027957c503867b56efb769aa9b7c060c6 (patch)
tree5e81cad606b01f2d3bcdfd5f79b7e1bf1f6565f7 /dev-libs
parentdrop more obsolete ebuilds (diff)
downloadultrabug-3dc2724027957c503867b56efb769aa9b7c060c6.tar.gz
ultrabug-3dc2724027957c503867b56efb769aa9b7c060c6.tar.bz2
ultrabug-3dc2724027957c503867b56efb769aa9b7c060c6.zip
dev-libs/thrift: new ebuild
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/thrift/Manifest6
-rw-r--r--dev-libs/thrift/files/0.9.3-autoconf-fixes.patch39
-rw-r--r--dev-libs/thrift/metadata.xml13
-rw-r--r--dev-libs/thrift/thrift-0.9.1.ebuild100
-rw-r--r--dev-libs/thrift/thrift-0.9.3.ebuild100
5 files changed, 258 insertions, 0 deletions
diff --git a/dev-libs/thrift/Manifest b/dev-libs/thrift/Manifest
new file mode 100644
index 0000000..23f5931
--- /dev/null
+++ b/dev-libs/thrift/Manifest
@@ -0,0 +1,6 @@
+AUX 0.9.3-autoconf-fixes.patch 1432 SHA256 7c063719180c24bd2244d543376cbe34c716f71c05bacc9831a3cc5cb49430a9 SHA512 eede51eb5c4de8fc043176781f0d0aac1d101a3ce60ed0f573caa529f51d3dea3f8d72c1935fdabaa7ab82fb63fe71855edc34cf02067999638262d71fc6477e WHIRLPOOL 935ee02bb156c3b1c2e15e9de504d5a3260ca7cacf43f02826492e2323e7228e826410fb4bfa1a02604d73d191c939e410ae36b084b1c94c4c46657e98a17e11
+DIST 0.9.1.tar.gz 1637092 SHA256 f9c04bf08e09de9f79dc8b0960817588ae2c08007b1980029ef1a1d8294e835f SHA512 3536b2a64e75c6dde6e049dddf81542501ca62dd82075b86ff1c28740fa512f99232715e7cccbff7c624f6fdd402b4525da3db2d12ff9c5602b3d0e157021ff6 WHIRLPOOL 1d4754025978eb5a060b787f160b834104f6169875d2d6e2c204740dab079d0695448df18e5c63123b70cfbbd2ca83955f2bc840026b4df16707ca4abeb93f1f
+DIST thrift-0.9.3.tar.gz 8897936 SHA256 b0740a070ac09adde04d43e852ce4c320564a292f26521c46b78e0641564969e SHA512 5156915fca6a9b9e620524d0228dcc417ea49249242f8087f746f243b54ed4548d36bccc2eda880517766fe6e944cf5c8feda6fb847301ac1009d8d5eaa1656d WHIRLPOOL 32c9988739f46f9f99dd0378c7b908a32d221dd777d0155c386e4c6fba690716548c8000d882925537ce347fc81947e0c26e818046c01819956ed52af90685ca
+EBUILD thrift-0.9.1.ebuild 2043 SHA256 9e0bf3a0b914d5ec4fffc2b622397dbbcef4612871ab2e93f49ea2373c6a3f0f SHA512 5489f0abbe76b929d3777ddd3f983778d6535f3f371839bc53f6c2330f7f05a1ee1c43f15e05849631871dd46ce02911047449cf3a12ccf06190eac90b9c8581 WHIRLPOOL d10c2d3ba137bc630bc3374d3785167ed3b73041fc24aec01d810e12d287305f9db96c0f62c39065ae0e9b67091e13d9c8c7e7e959d28eadb72295bbe7180806
+EBUILD thrift-0.9.3.ebuild 2030 SHA256 1eb7ade059cd7369691ef12ec77e56d165ab2b6c13593fcee0b79429d7cc53e3 SHA512 6eca0cd40bfe20a8c202f270df4c2a9e868a2288182d4fea05a72bb0894fcbe7aa1936c3232f1b5adea08c2ed4d0bfd4e65171686c3c8ab5d85cbc44e85a7850 WHIRLPOOL 38d150635d77f6e49d750dfc3aa525073ae997d6be6397e4e6d6c72e54211a114011729c653f20301109f21c2b41becf5ff82db0c4e12073369bc4c1b8f8dd5d
+MISC metadata.xml 534 SHA256 6c96b9886dedcf660385d2e80f319fdec2ce080b544fc5c319d518d24763445e SHA512 f38e77c5574441550e6317eeb2991f1a95e861354e10b18367d4f3f001048ce575b256cdd7bc57fc71c505dc2ea61c8bfdd2b9ba6b9c6e7fb5bb202ca4e91fd4 WHIRLPOOL 0722c51e2b0c344102290d38bec06c100daf6c0834eabc1afad6f93a396a534393c3fe358292194abd6413627c48e427c213475e285462b46926a06bb1575644
diff --git a/dev-libs/thrift/files/0.9.3-autoconf-fixes.patch b/dev-libs/thrift/files/0.9.3-autoconf-fixes.patch
new file mode 100644
index 0000000..59b20a3
--- /dev/null
+++ b/dev-libs/thrift/files/0.9.3-autoconf-fixes.patch
@@ -0,0 +1,39 @@
+diff --git a/aclocal/ax_lib_event.m4 b/aclocal/ax_lib_event.m4
+index 7d2f98a..d4d2774 100644
+--- a/aclocal/ax_lib_event.m4
++++ b/aclocal/ax_lib_event.m4
+@@ -138,7 +138,7 @@ AC_DEFUN([AX_LIB_EVENT_DO_CHECK],
+
+ AC_DEFUN([AX_LIB_EVENT],
+ [
+-
++ success=no
+ dnl Allow search path to be overridden on the command line.
+ AC_ARG_WITH([libevent],
+ AS_HELP_STRING([--with-libevent@<:@=DIR@:>@], [use libevent [default=yes]. Optionally specify the root prefix dir where libevent is installed]),
+diff --git a/aclocal/ax_lib_zlib.m4 b/aclocal/ax_lib_zlib.m4
+index 8c10ab4..d4ac4f8 100644
+--- a/aclocal/ax_lib_zlib.m4
++++ b/aclocal/ax_lib_zlib.m4
+@@ -110,7 +110,7 @@ AC_DEFUN([AX_LIB_ZLIB_DO_CHECK],
+
+ AC_DEFUN([AX_LIB_ZLIB],
+ [
+-
++ success=no
+ dnl Allow search path to be overridden on the command line.
+ AC_ARG_WITH([zlib],
+ AS_HELP_STRING([--with-zlib@<:@=DIR@:>@], [use zlib (default is yes) - it is possible to specify an alternate root directory for zlib]),
+diff --git a/configure.ac b/configure.ac
+index 7eea98f..8a275be 100755
+--- a/configure.ac
++++ b/configure.ac
+@@ -23,7 +23,7 @@ AC_INIT([thrift], [1.0.0-dev])
+
+ AC_CONFIG_AUX_DIR([.])
+
+-AM_INIT_AUTOMAKE([1.11 tar-ustar])
++AM_INIT_AUTOMAKE([1.11 tar-ustar subdir-objects])
+ PKG_PROG_PKG_CONFIG
+
+ AC_ARG_VAR([PY_PREFIX], [Prefix for installing Python modules.
diff --git a/dev-libs/thrift/metadata.xml b/dev-libs/thrift/metadata.xml
new file mode 100644
index 0000000..5c4475e
--- /dev/null
+++ b/dev-libs/thrift/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>dev-zero@gentoo.org</email>
+ <name>Tiziano M├╝ller</name>
+ </maintainer>
+ <use>
+ <flag name='cpp'>Enable C++ runtime support, requires <pkg>dev-libs/boost</pkg></flag>
+ <flag name='glib'>Build library to integrate thrift with GObject/GLib</flag>
+ <flag name='libevent'>Build the thrift non-blocking server library, based on <pkg>dev-libs/libevent</pkg></flag>
+ </use>
+</pkgmetadata>
diff --git a/dev-libs/thrift/thrift-0.9.1.ebuild b/dev-libs/thrift/thrift-0.9.1.ebuild
new file mode 100644
index 0000000..19ddab0
--- /dev/null
+++ b/dev-libs/thrift/thrift-0.9.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_OPTIONAL=1
+GENTOO_DEPEND_ON_PERL="no"
+
+inherit autotools eutils distutils-r1 perl-module
+
+DESCRIPTION="Lightweight, language-independent software stack with associated code generation mechanism for RPC"
+HOMEPAGE="http://thrift.apache.org"
+SRC_URI="https://github.com/apache/${PN}/archive/${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+cpp +glib event perl python qt4 static-libs test +zlib"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="cpp? ( dev-libs/boost:= )
+ event? ( dev-libs/libevent )
+ glib? ( dev-libs/glib:2 )
+ perl? ( dev-lang/perl:= dev-perl/Bit-Vector )
+ qt4? ( dev-qt/qtcore:4 )
+ zlib? ( sys-libs/zlib )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ python? ( dev-python/setuptools[${PYTHON_USEDEP}] )
+ virtual/pkgconfig"
+
+src_prepare() {
+ #epatch "${FILESDIR}/${PV}-autoconf-fixes.patch"
+
+ # fixed in 1.0-dev
+ sed -i -e 's|tutorial||' Makefile.am || die
+
+ AT_NO_RECURSIVE=1 eautoreconf
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_prepare
+ fi
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable test) \
+ $(use_with cpp) \
+ $(use_with cpp boost) \
+ $(use_with event libevent) \
+ $(use_with glib c_glib) \
+ $(use_with qt4 qt) \
+ $(use_with zlib) \
+ --without-{python,perl} \
+ --without-{csharp,java,erlang,php,php_extension,ruby,haskell,go,d,nodejs}
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_configure
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_configure
+ fi
+}
+
+src_compile() {
+ default
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_compile
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_compile
+ fi
+}
+
+src_install() {
+ default
+ prune_libtool_files
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_install
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_install
+ fi
+}
diff --git a/dev-libs/thrift/thrift-0.9.3.ebuild b/dev-libs/thrift/thrift-0.9.3.ebuild
new file mode 100644
index 0000000..166abe5
--- /dev/null
+++ b/dev-libs/thrift/thrift-0.9.3.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+DISTUTILS_OPTIONAL=1
+GENTOO_DEPEND_ON_PERL="no"
+
+inherit autotools eutils distutils-r1 perl-module
+
+DESCRIPTION="Lightweight, language-independent software stack with associated code generation mechanism for RPC"
+HOMEPAGE="http://thrift.apache.org"
+SRC_URI="mirror://apache/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+cpp +glib event perl python qt4 static-libs test +zlib"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="cpp? ( dev-libs/boost:= )
+ event? ( dev-libs/libevent )
+ glib? ( dev-libs/glib:2 )
+ perl? ( dev-lang/perl:= dev-perl/Bit-Vector )
+ qt4? ( dev-qt/qtcore:4 )
+ zlib? ( sys-libs/zlib )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ python? ( dev-python/setuptools[${PYTHON_USEDEP}] )
+ virtual/pkgconfig"
+
+src_prepare() {
+ #epatch "${FILESDIR}/${PV}-autoconf-fixes.patch"
+
+ # fixed in 1.0-dev
+ sed -i -e 's|tutorial||' Makefile.am || die
+
+ AT_NO_RECURSIVE=1 eautoreconf
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_prepare
+ fi
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable test) \
+ $(use_with cpp) \
+ $(use_with cpp boost) \
+ $(use_with event libevent) \
+ $(use_with glib c_glib) \
+ $(use_with qt4 qt) \
+ $(use_with zlib) \
+ --without-{python,perl} \
+ --without-{csharp,java,erlang,php,php_extension,ruby,haskell,go,d,nodejs}
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_configure
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_configure
+ fi
+}
+
+src_compile() {
+ default
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_compile
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_compile
+ fi
+}
+
+src_install() {
+ default
+ prune_libtool_files
+
+ if use perl ; then
+ cd "${S}/lib/perl"
+ perl-module_src_install
+ fi
+
+ if use python ; then
+ cd "${S}/lib/py"
+ distutils-r1_src_install
+ fi
+}